// //////////////////////////////////////////////////////////////////////////
//
//     symmops.cpp
//     (c) 2007 Frank DiMaio
//
// //////////////////////////////////////////////////////////////////////////
//
//     This file is part of ACMI.
// 
//     ACMI is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 3 of the License, or
//     (at your option) any later version.
// 
//     ACMI is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// //////////////////////////////////////////////////////////////////////////


#include "symmops.h"

//  this code is machine generated
int getSymmOps(int spacegp, string &laueGp, vector< R3_transform > &symmOps) {
	symmOps.clear();
	if (spacegp == 1) {
		// 'P 1' (P1 PG1 TRICLINIC)
		laueGp = "PG1";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 2) {
		// 'P -1' (P-1 PG1bar TRICLINIC)
		laueGp = "PG1bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 3) {
		// 'P 1 2 1' (P2 PG2 MONOCLINIC)
		laueGp = "PG2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 4) {
		// 'P 1 21 1' (P21 PG2 MONOCLINIC)
		laueGp = "PG2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
	} else if (spacegp == 5) {
		// 'C 1 2 1' (C2 PG2 MONOCLINIC)
		laueGp = "PG2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 6) {
		// 'P 1 m 1' (Pm PGm MONOCLINIC)
		laueGp = "PGm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
	} else if (spacegp == 7) {
		// 'P 1 c 1' (Pc PGm MONOCLINIC)
		laueGp = "PGm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 8) {
		// 'C 1 m 1' (Cm PGm MONOCLINIC)
		laueGp = "PGm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 9) {
		// 'C 1 c 1' (Cc PGm MONOCLINIC)
		laueGp = "PGm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 10) {
		// 'P 1 2/m 1' (P2/m PG2/m MONOCLINIC)
		laueGp = "PG2/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 11) {
		// 'P 1 21/m 1' (P21/m PG2/m MONOCLINIC)
		laueGp = "PG2/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0));
	} else if (spacegp == 12) {
		// 'C 1 2/m 1' (C2/m PG2/m MONOCLINIC)
		laueGp = "PG2/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 13) {
		// 'P 1 2/c 1' (P2/c PG2/m MONOCLINIC)
		laueGp = "PG2/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 14) {
		// 'P 1 21/c 1' (P21/c PG2/m MONOCLINIC)
		laueGp = "PG2/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
	} else if (spacegp == 15) {
		// 'C 1 2/c 1' (C2/c PG2/m MONOCLINIC)
		laueGp = "PG2/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 16) {
		// 'P 2 2 2' (P222 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 17) {
		// 'P 2 2 21' (P2221 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 18) {
		// 'P 21 21 2' (P21212 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 19) {
		// 'P 21 21 21' (P212121 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 20) {
		// 'C 2 2 21' (C2221 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 21) {
		// 'C 2 2 2' (C222 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 22) {
		// 'F 2 2 2' (F222 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 23) {
		// 'I 2 2 2' (I222 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 24) {
		// 'I 21 21 21' (I212121 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 25) {
		// 'P m m 2' (Pmm2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 26) {
		// 'P m c 21' (Pmc21 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 27) {
		// 'P c c 2' (Pcc2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 28) {
		// 'P m a 2' (Pma2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0));
	} else if (spacegp == 29) {
		// 'P c a 21' (Pca21 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
	} else if (spacegp == 30) {
		// 'P n c 2' (Pnc2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
	} else if (spacegp == 31) {
		// 'P m n 21' (Pmn21 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 32) {
		// 'P b a 2' (Pba2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 33) {
		// 'P n a 21' (Pna21 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 34) {
		// 'P n n 2' (Pnn2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 35) {
		// 'C m m 2' (Cmm2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 36) {
		// 'C m c 21' (Cmc21 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 37) {
		// 'C c c 2' (Ccc2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 38) {
		// 'A m m 2' (Amm2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
	} else if (spacegp == 39) {
		// 'A b m 2' (Abm2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 40) {
		// 'A m a 2' (Ama2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 41) {
		// 'A b a 2' (Aba2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
	} else if (spacegp == 42) {
		// 'F m m 2' (Fmm2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 43) {
		// 'F d d 2' (Fdd2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.75,0.25));
	} else if (spacegp == 44) {
		// 'I m m 2' (Imm2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 45) {
		// 'I b a 2' (Iba2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 46) {
		// 'I m a 2' (Ima2 PGmm2 ORTHORHOMBIC)
		laueGp = "PGmm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
	} else if (spacegp == 47) {
		// 'P 2/m 2/m 2/m' (Pmmm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 48) {
		// 'P 2/n 2/n 2/n' (Pnnn PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 49) {
		// 'P 2/c 2/c 2/m' (Pccm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 50) {
		// 'P 2/b 2/a 2/n' (Pban PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 51) {
		// 'P 21/m 2/m 2/a' (Pmma PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0));
	} else if (spacegp == 52) {
		// 'P 2/n 21/n 2/a' (Pnna PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
	} else if (spacegp == 53) {
		// 'P 2/m 2/n 21/a' (Pmna PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 54) {
		// 'P 21/c 2/c 2/a' (Pcca PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
	} else if (spacegp == 55) {
		// 'P 21/b 21/a 2/m' (Pbam PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 56) {
		// 'P 21/c 21/c 2/n' (Pccn PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
	} else if (spacegp == 57) {
		// 'P 2/b 21/c 21/m' (Pbcm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0));
	} else if (spacegp == 58) {
		// 'P 21/n 21/n 2/m' (Pnnm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 59) {
		// 'P 21/m 21/m 2/n' (Pmmn PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 60) {
		// 'P 21/b 2/c 21/n' (Pbcn PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 61) {
		// 'P 21/b 21/c 21/a' (Pbca PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 62) {
		// 'P 21/n 21/m 21/a' (Pnma PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 63) {
		// 'C 2/m 2/c 21/m' (Cmcm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 64) {
		// 'C 2/m 2/c 21/a' (Cmca PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 65) {
		// 'C 2/m 2/m 2/m' (Cmmm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 66) {
		// 'C 2/c 2/c 2/m' (Cccm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 67) {
		// 'C 2/m 2/m 2/a' (Cmma PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 68) {
		// 'C 2/c 2/c 2/a' (Ccca PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
	} else if (spacegp == 69) {
		// 'F 2/m 2/m 2/m' (Fmmm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 70) {
		// 'F 2/d 2/d 2/d' (Fddd PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.75,0.25));
	} else if (spacegp == 71) {
		// 'I 2/m 2/m 2/m' (Immm PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 72) {
		// 'I 2/b 2/a 2/m' (Ibam PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 73) {
		// 'I 21/b 21/c 21/a' (Ibca PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 74) {
		// 'I 21/m 21/m 21/a' (Imma PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 75) {
		// 'P 4' (P4 PG4 TETRAGONAL)
		laueGp = "PG4";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 76) {
		// 'P 41' (P41 PG4 TETRAGONAL)
		laueGp = "PG4";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.75));
	} else if (spacegp == 77) {
		// 'P 42' (P42 PG4 TETRAGONAL)
		laueGp = "PG4";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 78) {
		// 'P 43' (P43 PG4 TETRAGONAL)
		laueGp = "PG4";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.25));
	} else if (spacegp == 79) {
		// 'I 4' (I4 PG4 TETRAGONAL)
		laueGp = "PG4";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 80) {
		// 'I 41' (I41 PG4 TETRAGONAL)
		laueGp = "PG4";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.25));
	} else if (spacegp == 81) {
		// 'P -4' (P-4 PG4bar TETRAGONAL)
		laueGp = "PG4bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 82) {
		// 'I -4' (I-4 PG4bar TETRAGONAL)
		laueGp = "PG4bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 83) {
		// 'P 4/m' (P4/m PG4/m TETRAGONAL)
		laueGp = "PG4/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 84) {
		// 'P 42/m' (P42/m PG4/m TETRAGONAL)
		laueGp = "PG4/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 85) {
		// 'P 4/n' (P4/n PG4/m TETRAGONAL)
		laueGp = "PG4/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 86) {
		// 'P 42/n' (P42/n PG4/m TETRAGONAL)
		laueGp = "PG4/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 87) {
		// 'I 4/m' (I4/m PG4/m TETRAGONAL)
		laueGp = "PG4/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 88) {
		// 'I 41/a' (I41/a PG4/m TETRAGONAL)
		laueGp = "PG4/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 89) {
		// 'P 4 2 2' (P422 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 90) {
		// 'P 4 21 2' (P4212 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 91) {
		// 'P 41 2 2' (P4122 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.25));
	} else if (spacegp == 92) {
		// 'P 41 21 2' (P41212 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 93) {
		// 'P 42 2 2' (P4222 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 94) {
		// 'P 42 21 2' (P42212 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 95) {
		// 'P 43 2 2' (P4322 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.75));
	} else if (spacegp == 96) {
		// 'P 43 21 2' (P43212 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 97) {
		// 'I 4 2 2' (I422 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 98) {
		// 'I 41 2 2' (I4122 PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 99) {
		// 'P 4 m m' (P4mm PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 100) {
		// 'P 4 b m' (P4bm PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 101) {
		// 'P 42 c m' (P42cm PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 102) {
		// 'P 42 n m' (P42nm PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 103) {
		// 'P 4 c c' (P4cc PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 104) {
		// 'P 4 n c' (P4nc PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 105) {
		// 'P 42 m c' (P42mc PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 106) {
		// 'P 42 b c' (P42bc PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 107) {
		// 'I 4 m m' (I4mm PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 108) {
		// 'I 4 c m' (I4cm PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 109) {
		// 'I 41 m d' (I41md PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0.25));
	} else if (spacegp == 110) {
		// 'I 41 c d' (I41cd PG4mm TETRAGONAL)
		laueGp = "PG4mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0.75));
	} else if (spacegp == 111) {
		// 'P -4 2 m' (P-42m PG4bar2m TETRAGONAL)
		laueGp = "PG4bar2m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 112) {
		// 'P -4 2 c' (P-42c PG4bar2m TETRAGONAL)
		laueGp = "PG4bar2m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 113) {
		// 'P -4 21 m' (P-421m PG4bar2m TETRAGONAL)
		laueGp = "PG4bar2m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 114) {
		// 'P -4 21 c' (P-421c PG4bar2m TETRAGONAL)
		laueGp = "PG4bar2m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 115) {
		// 'P -4 m 2' (P-4m2 PG4barm2 TETRAGONAL)
		laueGp = "PG4barm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 116) {
		// 'P -4 c 2' (P-4c2 PG4barm2 TETRAGONAL)
		laueGp = "PG4barm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 117) {
		// 'P -4 b 2' (P-4b2 PG4barm2 TETRAGONAL)
		laueGp = "PG4barm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 118) {
		// 'P -4 n 2' (P-4n2 PG4barm2 TETRAGONAL)
		laueGp = "PG4barm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 119) {
		// 'I -4 m 2' (I-4m2 PG4barm2 TETRAGONAL)
		laueGp = "PG4barm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 120) {
		// 'I -4 c 2' (I-4c2 PG4barm2 TETRAGONAL)
		laueGp = "PG4barm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
	} else if (spacegp == 121) {
		// 'I -4 2 m' (I-42m PG4bar2m TETRAGONAL)
		laueGp = "PG4bar2m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 122) {
		// 'I -4 2 d' (I-42d PG4bar2m TETRAGONAL)
		laueGp = "PG4bar2m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0.25));
	} else if (spacegp == 123) {
		// 'P 4/m 2/m 2/m' (P4/mmm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 124) {
		// 'P 4/m 2/c 2/c' (P4/mcc PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 125) {
		// 'P 4/n 2/b 2/m' (P4/nbm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 126) {
		// 'P 4/n 2/n 2/c' (P4/nnc PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 127) {
		// 'P 4/m 21/b 2/m' (P4/mbm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 128) {
		// 'P 4/m 21/n 2/c' (P4/mnc PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 129) {
		// 'P 4/n 21/m 2/m' (P4/nmm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 130) {
		// 'P 4/n 2/c 2/c' (P4/ncc PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 131) {
		// 'P 42/m 2/m 2/c' (P42/mmc PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 132) {
		// 'P 42/m 2/c 2/m' (P42/mcm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 133) {
		// 'P 42/n 2/b 2/c' (P42/nbc PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 134) {
		// 'P 42/n 2/n 2/m' (P42/nnm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 135) {
		// 'P 42/m 21/b 2/c' (P42/mbc PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 136) {
		// 'P 42/m 21/n 2/m' (P42/mnm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 137) {
		// 'P 42/n 21/m 2/c' (P42/nmc PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 138) {
		// 'P 42/n 21/c 2/m' (P42/ncm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 139) {
		// 'I 4/m 2/m 2/m' (I4/mmm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
	} else if (spacegp == 140) {
		// 'I 4/m 2/c 2/m' (I4/mcm PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 141) {
		// 'I 41/a 2/m 2/d' (I41/amd PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0.75));
	} else if (spacegp == 142) {
		// 'I 41/a 2/c 2/d' (I41/acd PG4/mmm TETRAGONAL)
		laueGp = "PG4/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0.25));
	} else if (spacegp == 143) {
		// 'P 3' (P3 PG3 TRIGONAL)
		laueGp = "PG3";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 144) {
		// 'P 31' (P31 PG3 TRIGONAL)
		laueGp = "PG3";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.666666666666667));
	} else if (spacegp == 145) {
		// 'P 32' (P32 PG3 TRIGONAL)
		laueGp = "PG3";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.333333333333333));
	} else if (spacegp == 146) {
		// 'H 3' (H3 PG3 TRIGONAL)
		laueGp = "PG3";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
	} else if (spacegp == 1146) {
		// 'R 3' (R3 PG3 TRIGONAL)
		laueGp = "PG3";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
	} else if (spacegp == 147) {
		// 'P -3' (P-3 PG3bar TRIGONAL)
		laueGp = "PG3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 148) {
		// 'H -3' (H-3 PG3bar TRIGONAL)
		laueGp = "PG3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
	} else if (spacegp == 1148) {
		// 'R -3' (R-3 PG3bar TRIGONAL)
		laueGp = "PG3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
	} else if (spacegp == 149) {
		// 'P 3 1 2' (P312 PG312 TRIGONAL)
		laueGp = "PG312";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 150) {
		// 'P 3 2 1' (P321 PG321 TRIGONAL)
		laueGp = "PG321";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 151) {
		// 'P 31 1 2' (P3112 PG312 TRIGONAL)
		laueGp = "PG312";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 152) {
		// 'P 31 2 1' (P3121 PG321 TRIGONAL)
		laueGp = "PG321";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.333333333333333));
	} else if (spacegp == 153) {
		// 'P 32 1 2' (P3212 PG312 TRIGONAL)
		laueGp = "PG312";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 154) {
		// 'P 32 2 1' (P3221 PG321 TRIGONAL)
		laueGp = "PG321";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.666666666666667));
	} else if (spacegp == 155) {
		// 'H 3 2' (H32 PG321 TRIGONAL)
		laueGp = "PG321";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
	} else if (spacegp == 1155) {
		// 'R 3 2' (R32 PG32 TRIGONAL)
		laueGp = "PG32";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
	} else if (spacegp == 156) {
		// 'P 3 m 1' (P3m1 PG3m1 TRIGONAL)
		laueGp = "PG3m1";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
	} else if (spacegp == 157) {
		// 'P 3 1 m' (P31m PG31m TRIGONAL)
		laueGp = "PG31m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 158) {
		// 'P 3 c 1' (P3c1 PG3m1 TRIGONAL)
		laueGp = "PG3m1";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 159) {
		// 'P 3 1 c' (P31c PG31m TRIGONAL)
		laueGp = "PG31m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 160) {
		// 'H 3 m' (H3m PG3m TRIGONAL)
		laueGp = "PG3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
	} else if (spacegp == 1160) {
		// 'R 3 m' (R3m PG3m TRIGONAL)
		laueGp = "PG3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
	} else if (spacegp == 161) {
		// 'H 3 c' (H3c PG3m TRIGONAL)
		laueGp = "PG3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.166666666666667));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.166666666666667));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.166666666666667));
	} else if (spacegp == 1161) {
		// 'R 3 c' (R3c PG3m TRIGONAL)
		laueGp = "PG3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 162) {
		// 'P -3 1 2/m' (P-31m PG3bar1m TRIGONAL)
		laueGp = "PG3bar1m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 163) {
		// 'P -3 1 2/c' (P-31c PG3bar1m TRIGONAL)
		laueGp = "PG3bar1m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 164) {
		// 'P -3 2/m 1' (P-3m1 PG3barm1 TRIGONAL)
		laueGp = "PG3barm1";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
	} else if (spacegp == 165) {
		// 'P -3 2/c 1' (P-3c1 PG3barm1 TRIGONAL)
		laueGp = "PG3barm1";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 166) {
		// 'H -3 2/m' (H-3m PG3barm TRIGONAL)
		laueGp = "PG3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
	} else if (spacegp == 1166) {
		// 'R -3 2/m' (R-3m PG3barm TRIGONAL)
		laueGp = "PG3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
	} else if (spacegp == 167) {
		// 'H -3 2/c' (H-3c PG3barm TRIGONAL)
		laueGp = "PG3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0.666666666666667,0.333333333333333,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0.666666666666667,0.333333333333333,0.833333333333333));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.333333333333333,0.666666666666667,0.166666666666667));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.166666666666667));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.166666666666667));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0.333333333333333,0.666666666666667,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.333333333333333,0.666666666666667,0.166666666666667));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0.333333333333333,0.666666666666667,0.166666666666667));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0.333333333333333,0.666666666666667,0.166666666666667));
	} else if (spacegp == 1167) {
		// 'R -3 2/c' (R-3c PG3barm TRIGONAL)
		laueGp = "PG3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 168) {
		// 'P 6' (P6 PG6 HEXAGONAL)
		laueGp = "PG6";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0));
	} else if (spacegp == 169) {
		// 'P 61' (P61 PG6 HEXAGONAL)
		laueGp = "PG6";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.833333333333333));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.166666666666667));
	} else if (spacegp == 170) {
		// 'P 65' (P65 PG6 HEXAGONAL)
		laueGp = "PG6";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.166666666666667));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.833333333333333));
	} else if (spacegp == 171) {
		// 'P 62' (P62 PG6 HEXAGONAL)
		laueGp = "PG6";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.333333333333333));
	} else if (spacegp == 172) {
		// 'P 64' (P64 PG6 HEXAGONAL)
		laueGp = "PG6";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.666666666666667));
	} else if (spacegp == 173) {
		// 'P 63' (P63 PG6 HEXAGONAL)
		laueGp = "PG6";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 174) {
		// 'P -6' (P-6 PG6bar HEXAGONAL)
		laueGp = "PG6bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 175) {
		// 'P 6/m' (P6/m PG6/m HEXAGONAL)
		laueGp = "PG6/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0));
	} else if (spacegp == 176) {
		// 'P 63/m' (P63/m PG6/m HEXAGONAL)
		laueGp = "PG6/m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 177) {
		// 'P 6 2 2' (P622 PG622 HEXAGONAL)
		laueGp = "PG622";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 178) {
		// 'P 61 2 2' (P6122 PG622 HEXAGONAL)
		laueGp = "PG622";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.833333333333333));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.166666666666667));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.833333333333333));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0.166666666666667));
	} else if (spacegp == 179) {
		// 'P 65 2 2' (P6522 PG622 HEXAGONAL)
		laueGp = "PG622";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.166666666666667));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.833333333333333));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.166666666666667));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0.833333333333333));
	} else if (spacegp == 180) {
		// 'P 62 2 2' (P6222 PG622 HEXAGONAL)
		laueGp = "PG622";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0.333333333333333));
	} else if (spacegp == 181) {
		// 'P 64 2 2' (P6422 PG622 HEXAGONAL)
		laueGp = "PG622";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.666666666666667));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.333333333333333));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0.666666666666667));
	} else if (spacegp == 182) {
		// 'P 63 2 2' (P6322 PG622 HEXAGONAL)
		laueGp = "PG622";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 183) {
		// 'P 6 m m' (P6mm PG6mm HEXAGONAL)
		laueGp = "PG6mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 184) {
		// 'P 6 c c' (P6cc PG6mm HEXAGONAL)
		laueGp = "PG6mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 185) {
		// 'P 63 c m' (P63cm PG6mm HEXAGONAL)
		laueGp = "PG6mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 186) {
		// 'P 63 m c' (P63mc PG6mm HEXAGONAL)
		laueGp = "PG6mm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 187) {
		// 'P -6 m 2' (P-6m2 PG6barm2 HEXAGONAL)
		laueGp = "PG6barm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 188) {
		// 'P -6 c 2' (P-6c2 PG6barm2 HEXAGONAL)
		laueGp = "PG6barm2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 189) {
		// 'P -6 2 m' (P-62m PG6bar2m HEXAGONAL)
		laueGp = "PG6bar2m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 190) {
		// 'P -6 2 c' (P-62c PG6bar2m HEXAGONAL)
		laueGp = "PG6bar2m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 191) {
		// 'P 6/m 2/m 2/m' (P6/mmm PG6/mmm HEXAGONAL)
		laueGp = "PG6/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 192) {
		// 'P 6/m 2/c 2/c' (P6/mcc PG6/mmm HEXAGONAL)
		laueGp = "PG6/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 193) {
		// 'P 63/m 2/c 2/m' (P63/mcm PG6/mmm HEXAGONAL)
		laueGp = "PG6/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0));
	} else if (spacegp == 194) {
		// 'P 63/m 2/m 2/c' (P63/mmc PG6/mmm HEXAGONAL)
		laueGp = "PG6/mmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,1,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,1,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,-1,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,-1,1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 195) {
		// 'P 2 3' (P23 PG23 CUBIC)
		laueGp = "PG23";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
	} else if (spacegp == 196) {
		// 'F 2 3' (F23 PG23 CUBIC)
		laueGp = "PG23";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
	} else if (spacegp == 197) {
		// 'I 2 3' (I23 PG23 CUBIC)
		laueGp = "PG23";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 198) {
		// 'P 21 3' (P213 PG23 CUBIC)
		laueGp = "PG23";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
	} else if (spacegp == 199) {
		// 'I 21 3' (I213 PG23 CUBIC)
		laueGp = "PG23";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0));
	} else if (spacegp == 200) {
		// 'P 2/m -3' (Pm-3 PGm3bar CUBIC)
		laueGp = "PGm3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0,0));
	} else if (spacegp == 201) {
		// 'P 2/n -3' (Pn-3 PGm3bar CUBIC)
		laueGp = "PGm3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 202) {
		// 'F 2/m -3' (Fm-3 PGm3bar CUBIC)
		laueGp = "PGm3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0.5,0));
	} else if (spacegp == 203) {
		// 'F 2/d -3' (Fd-3 PGm3bar CUBIC)
		laueGp = "PGm3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.75,0.75,0.25));
	} else if (spacegp == 204) {
		// 'I 2/m -3' (Im-3 PGm3bar CUBIC)
		laueGp = "PGm3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 205) {
		// 'P 21/a -3' (Pa-3 PGm3bar CUBIC)
		laueGp = "PGm3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0,0.5));
	} else if (spacegp == 206) {
		// 'I 21/a -3' (Ia-3 PGm3bar CUBIC)
		laueGp = "PGm3bar";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0.5,0));
	} else if (spacegp == 207) {
		// 'P 4 3 2' (P432 PG432 CUBIC)
		laueGp = "PG432";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
	} else if (spacegp == 208) {
		// 'P 42 3 2' (P4232 PG432 CUBIC)
		laueGp = "PG432";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 209) {
		// 'F 4 3 2' (F432 PG432 CUBIC)
		laueGp = "PG432";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0));
	} else if (spacegp == 210) {
		// 'F 41 3 2' (F4132 PG432 CUBIC)
		laueGp = "PG432";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.75,0.25));
	} else if (spacegp == 211) {
		// 'I 4 3 2' (I432 PG432 CUBIC)
		laueGp = "PG432";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 212) {
		// 'P 43 3 2' (P4332 PG432 CUBIC)
		laueGp = "PG432";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.25,0.25));
	} else if (spacegp == 213) {
		// 'P 41 3 2' (P4132 PG432 CUBIC)
		laueGp = "PG432";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.75,0.75));
	} else if (spacegp == 214) {
		// 'I 41 3 2' (I4132 PG432 CUBIC)
		laueGp = "PG432";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.25,0.25));
	} else if (spacegp == 215) {
		// 'P -4 3 m' (P-43m PG4bar3m CUBIC)
		laueGp = "PG4bar3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0));
	} else if (spacegp == 216) {
		// 'F -4 3 m' (F-43m PG4bar3m CUBIC)
		laueGp = "PG4bar3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0));
	} else if (spacegp == 217) {
		// 'I -4 3 m' (I-43m PG4bar3m CUBIC)
		laueGp = "PG4bar3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 218) {
		// 'P -4 3 n' (P-43n PG4bar3m CUBIC)
		laueGp = "PG4bar3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 219) {
		// 'F -4 3 c' (F-43c PG4bar3m CUBIC)
		laueGp = "PG4bar3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0.5));
	} else if (spacegp == 220) {
		// 'I -4 3 d' (I-43d PG4bar3m CUBIC)
		laueGp = "PG4bar3m";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.75,0.25,0.25));
	} else if (spacegp == 221) {
		// 'P 4/m -3 2/m' (Pm-3m PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
	} else if (spacegp == 222) {
		// 'P 4/n -3 2/n' (Pn-3n PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 223) {
		// 'P 42/m -3 2/n' (Pm-3n PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 224) {
		// 'P 42/n -3 2/m' (Pn-3m PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
	} else if (spacegp == 225) {
		// 'F 4/m -3 2/m' (Fm-3m PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0));
	} else if (spacegp == 226) {
		// 'F 4/m -3 2/c' (Fm-3c PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0.5));
	} else if (spacegp == 227) {
		// 'F 41/d -3 2/m' (Fd-3m PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0));
	} else if (spacegp == 228) {
		// 'F 41/d -3 2/c' (Fd-3c PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0.5));
	} else if (spacegp == 229) {
		// 'I 4/m -3 2/m' (Im-3m PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.5,0.5,0.5));
	} else if (spacegp == 230) {
		// 'I 41/a -3 2/d' (Ia-3d PGm3barm CUBIC)
		laueGp = "PGm3barm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,-1,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,1,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,-1,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,1,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,-1,0,0, 0.25,0.75,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,1,0,0, 0.75,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,1,0,0, 0.75,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,-1,0,0, 0.25,0.25,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,-1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,-1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,1, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,1, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,-1, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,-1, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(-1,0,0,0,0,-1,0,1,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,-1,0,-1,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(1,0,0,0,0,1,0,1,0, 0.75,0.75,0.75));
		symmOps.push_back(R3_transform(-1,0,0,0,0,1,0,-1,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,-1,0,-1,0,1,0,0, 0.75,0.25,0.25));
		symmOps.push_back(R3_transform(0,0,-1,0,1,0,-1,0,0, 0.25,0.25,0.75));
		symmOps.push_back(R3_transform(0,0,1,0,-1,0,-1,0,0, 0.25,0.75,0.25));
		symmOps.push_back(R3_transform(0,0,1,0,1,0,1,0,0, 0.75,0.75,0.75));
	} else if (spacegp == 1003) {
		// 'P 1 1 2' (P2 PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
	} else if (spacegp == 1004) {
		// 'P 1 1 21' (P1121 PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
	} else if (spacegp == 3004) {
		// 'I 1 21 1' (I21 PG2 MONOCLINIC)
		laueGp = "PG2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
	} else if (spacegp == 1005) {
		// 'B 1 1 2' (B2 PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
	} else if (spacegp == 2005) {
		// 'A 2 1 1' (A2 PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
	} else if (spacegp == 3005) {
		// 'C 1 21 1' (C21 PG2 MONOCLINIC)
		laueGp = "PG2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
	} else if (spacegp == 4005) {
		// 'I 1 2 1' (I2 PG2 MONOCLINIC)
		laueGp = "PG2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 1006) {
		// 'P 1 1 m' (P11m PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 1007) {
		// 'P 1 1 b' (P11b PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
	} else if (spacegp == 1008) {
		// 'B 1 1 m' (B11m PG2 MONOCLINIC)
		laueGp = "PG2";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
	} else if (spacegp == 1009) {
		// 'B 1 1 b' (B11b PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 1010) {
		// 'P 1 1 2/m' (P112/m PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
	} else if (spacegp == 1011) {
		// 'P 1 1 21/m' (P1121/m PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0.5));
	} else if (spacegp == 1012) {
		// 'B 1 1 2/m' (B112/m PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
	} else if (spacegp == 1013) {
		// 'P 1 1 2/b' (P112/b PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
	} else if (spacegp == 1014) {
		// 'P 1 1 21/b' (P1121/b PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
	} else if (spacegp == 1015) {
		// 'B 1 1 2/b' (B112/b PG2C MONOCLINIC)
		laueGp = "PG2C";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 1017) {
		// 'P 21 2 2' (P2122 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0));
	} else if (spacegp == 2017) {
		// 'P 2 21 2' (P2212 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
	} else if (spacegp == 1018) {
		// 'P 21 21 2 (a)' (P21212a PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
	} else if (spacegp == 2018) {
		// 'P 21 2 21' (P21221 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
	} else if (spacegp == 3018) {
		// 'P 2 21 21' (P22121 PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
	} else if (spacegp == 1020) {
		// 'C 2 2 21a)' (C2221a PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
	} else if (spacegp == 1021) {
		// 'C 2 2 2a' (C222a PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
	} else if (spacegp == 1022) {
		// 'F 2 2 2a' (F222a PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0));
	} else if (spacegp == 1023) {
		// 'I 2 2 2a' (I222a PG222 ORTHORHOMBIC)
		laueGp = "PG222";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
	} else if (spacegp == 1059) {
		// 'P 21/m 21/m 2/n a' (Pmmn2 PGmmm ORTHORHOMBIC)
		laueGp = "PGmmm";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,-1, 0,0,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,-1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,1, 0,0.5,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,1, 0.5,0,0));
	} else if (spacegp == 1094) {
		// 'P 42 21 2a' (P42212a PG422 TETRAGONAL)
		laueGp = "PG422";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,-1,0,1,0,0,0,0,1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,1,0,-1,0,0,0,0,1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(0,1,0,1,0,0,0,0,-1, 0,0,0.5));
		symmOps.push_back(R3_transform(0,-1,0,-1,0,0,0,0,-1, 0.5,0.5,0.5));
	} else if (spacegp == 1197) {
		// 'I 2 3a' (I23a PG23 CUBIC)
		laueGp = "PG23";
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0.5,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0.5,0,0));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0,0,0));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0.5,0.5,0));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0.5,0,0));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0,0.5,0));
		symmOps.push_back(R3_transform(1,0,0,0,1,0,0,0,1, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,-1,0,0,0,1, 0,0,0.5));
		symmOps.push_back(R3_transform(1,0,0,0,-1,0,0,0,-1, 0,0.5,0.5));
		symmOps.push_back(R3_transform(-1,0,0,0,1,0,0,0,-1, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,1,1,0,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,-1,1,0,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,1,0,0,0,-1,-1,0,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,-1,0,0,0,1,-1,0,0, 0.5,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,1,0,0,0,1,0, 0.5,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,-1,0,0,0,1,0, 0,0,0.5));
		symmOps.push_back(R3_transform(0,0,1,-1,0,0,0,-1,0, 0,0.5,0.5));
		symmOps.push_back(R3_transform(0,0,-1,1,0,0,0,-1,0, 0.5,0,0.5));
	}

	return 0;
}

int spacegpID(string id) {
	int spacegp;
	if (id == "P 1") { spacegp = 1; }
	if (id == "P -1") { spacegp = 2; }
	if (id == "P 1 2 1") { spacegp = 3; }
	if (id == "P 1 21 1") { spacegp = 4; }
	if (id == "P 21") { spacegp = 4; }
	if (id == "C 1 2 1") { spacegp = 5; }
	if (id == "C 2") { spacegp = 5; }
	if (id == "B 2") { spacegp = 5; }
	if (id == "P 1 m 1") { spacegp = 6; }
	if (id == "P 1 c 1") { spacegp = 7; }
	if (id == "C 1 m 1") { spacegp = 8; }
	if (id == "C 1 c 1") { spacegp = 9; }
	if (id == "P 1 2/m 1") { spacegp = 10; }
	if (id == "P 1 21/m 1") { spacegp = 11; }
	if (id == "C 1 2/m 1") { spacegp = 12; }
	if (id == "P 1 2/c 1") { spacegp = 13; }
	if (id == "P 1 21/c 1") { spacegp = 14; }
	if (id == "C 1 2/c 1") { spacegp = 15; }
	if (id == "P 2 2 2") { spacegp = 16; }
	if (id == "P 2 2 21") { spacegp = 17; }
	if (id == "P 21 21 2") { spacegp = 18; }
	if (id == "P 21 21 21") { spacegp = 19; }
	if (id == "C 2 2 21") { spacegp = 20; }
	if (id == "C 2 2 2") { spacegp = 21; }
	if (id == "F 2 2 2") { spacegp = 22; }
	if (id == "I 2 2 2") { spacegp = 23; }
	if (id == "I 21 21 21") { spacegp = 24; }
	if (id == "P m m 2") { spacegp = 25; }
	if (id == "P m c 21") { spacegp = 26; }
	if (id == "P c c 2") { spacegp = 27; }
	if (id == "P m a 2") { spacegp = 28; }
	if (id == "P c a 21") { spacegp = 29; }
	if (id == "P n c 2") { spacegp = 30; }
	if (id == "P m n 21") { spacegp = 31; }
	if (id == "P b a 2") { spacegp = 32; }
	if (id == "P n a 21") { spacegp = 33; }
	if (id == "P n n 2") { spacegp = 34; }
	if (id == "C m m 2") { spacegp = 35; }
	if (id == "C m c 21") { spacegp = 36; }
	if (id == "C c c 2") { spacegp = 37; }
	if (id == "A m m 2") { spacegp = 38; }
	if (id == "A b m 2") { spacegp = 39; }
	if (id == "A m a 2") { spacegp = 40; }
	if (id == "A b a 2") { spacegp = 41; }
	if (id == "F m m 2") { spacegp = 42; }
	if (id == "F d d 2") { spacegp = 43; }
	if (id == "I m m 2") { spacegp = 44; }
	if (id == "I b a 2") { spacegp = 45; }
	if (id == "I m a 2") { spacegp = 46; }
	if (id == "P 2/m 2/m 2/m") { spacegp = 47; }
	if (id == "P 2/n 2/n 2/n") { spacegp = 48; }
	if (id == "P 2/c 2/c 2/m") { spacegp = 49; }
	if (id == "P 2/b 2/a 2/n") { spacegp = 50; }
	if (id == "P 21/m 2/m 2/a") { spacegp = 51; }
	if (id == "P 2/n 21/n 2/a") { spacegp = 52; }
	if (id == "P 2/m 2/n 21/a") { spacegp = 53; }
	if (id == "P 21/c 2/c 2/a") { spacegp = 54; }
	if (id == "P 21/b 21/a 2/m") { spacegp = 55; }
	if (id == "P 21/c 21/c 2/n") { spacegp = 56; }
	if (id == "P 2/b 21/c 21/m") { spacegp = 57; }
	if (id == "P 21/n 21/n 2/m") { spacegp = 58; }
	if (id == "P 21/m 21/m 2/n") { spacegp = 59; }
	if (id == "P 21/b 2/c 21/n") { spacegp = 60; }
	if (id == "P 21/b 21/c 21/a") { spacegp = 61; }
	if (id == "P 21/n 21/m 21/a") { spacegp = 62; }
	if (id == "C 2/m 2/c 21/m") { spacegp = 63; }
	if (id == "C 2/m 2/c 21/a") { spacegp = 64; }
	if (id == "C 2/m 2/m 2/m") { spacegp = 65; }
	if (id == "C 2/c 2/c 2/m") { spacegp = 66; }
	if (id == "C 2/m 2/m 2/a") { spacegp = 67; }
	if (id == "C 2/c 2/c 2/a") { spacegp = 68; }
	if (id == "F 2/m 2/m 2/m") { spacegp = 69; }
	if (id == "F 2/d 2/d 2/d") { spacegp = 70; }
	if (id == "I 2/m 2/m 2/m") { spacegp = 71; }
	if (id == "I 2/b 2/a 2/m") { spacegp = 72; }
	if (id == "I 21/b 21/c 21/a") { spacegp = 73; }
	if (id == "I 21/m 21/m 21/a") { spacegp = 74; }
	if (id == "P 4") { spacegp = 75; }
	if (id == "P 41") { spacegp = 76; }
	if (id == "P 42") { spacegp = 77; }
	if (id == "P 43") { spacegp = 78; }
	if (id == "I 4") { spacegp = 79; }
	if (id == "I 41") { spacegp = 80; }
	if (id == "P -4") { spacegp = 81; }
	if (id == "I -4") { spacegp = 82; }
	if (id == "P 4/m") { spacegp = 83; }
	if (id == "P 42/m") { spacegp = 84; }
	if (id == "P 4/n") { spacegp = 85; }
	if (id == "P 42/n") { spacegp = 86; }
	if (id == "I 4/m") { spacegp = 87; }
	if (id == "I 41/a") { spacegp = 88; }
	if (id == "P 4 2 2") { spacegp = 89; }
	if (id == "P 4 21 2") { spacegp = 90; }
	if (id == "P 41 2 2") { spacegp = 91; }
	if (id == "P 41 21 2") { spacegp = 92; }
	if (id == "P 42 2 2") { spacegp = 93; }
	if (id == "P 42 21 2") { spacegp = 94; }
	if (id == "P 43 2 2") { spacegp = 95; }
	if (id == "P 43 21 2") { spacegp = 96; }
	if (id == "I 4 2 2") { spacegp = 97; }
	if (id == "I 41 2 2") { spacegp = 98; }
	if (id == "P 4 m m") { spacegp = 99; }
	if (id == "P 4 b m") { spacegp = 100; }
	if (id == "P 42 c m") { spacegp = 101; }
	if (id == "P 42 n m") { spacegp = 102; }
	if (id == "P 4 c c") { spacegp = 103; }
	if (id == "P 4 n c") { spacegp = 104; }
	if (id == "P 42 m c") { spacegp = 105; }
	if (id == "P 42 b c") { spacegp = 106; }
	if (id == "I 4 m m") { spacegp = 107; }
	if (id == "I 4 c m") { spacegp = 108; }
	if (id == "I 41 m d") { spacegp = 109; }
	if (id == "I 41 c d") { spacegp = 110; }
	if (id == "P -4 2 m") { spacegp = 111; }
	if (id == "P -4 2 c") { spacegp = 112; }
	if (id == "P -4 21 m") { spacegp = 113; }
	if (id == "P -4 21 c") { spacegp = 114; }
	if (id == "P -4 m 2") { spacegp = 115; }
	if (id == "P -4 c 2") { spacegp = 116; }
	if (id == "P -4 b 2") { spacegp = 117; }
	if (id == "P -4 n 2") { spacegp = 118; }
	if (id == "I -4 m 2") { spacegp = 119; }
	if (id == "I -4 c 2") { spacegp = 120; }
	if (id == "I -4 2 m") { spacegp = 121; }
	if (id == "I -4 2 d") { spacegp = 122; }
	if (id == "P 4/m 2/m 2/m") { spacegp = 123; }
	if (id == "P 4/m 2/c 2/c") { spacegp = 124; }
	if (id == "P 4/n 2/b 2/m") { spacegp = 125; }
	if (id == "P 4/n 2/n 2/c") { spacegp = 126; }
	if (id == "P 4/m 21/b 2/m") { spacegp = 127; }
	if (id == "P 4/m 21/n 2/c") { spacegp = 128; }
	if (id == "P 4/n 21/m 2/m") { spacegp = 129; }
	if (id == "P 4/n 2/c 2/c") { spacegp = 130; }
	if (id == "P 42/m 2/m 2/c") { spacegp = 131; }
	if (id == "P 42/m 2/c 2/m") { spacegp = 132; }
	if (id == "P 42/n 2/b 2/c") { spacegp = 133; }
	if (id == "P 42/n 2/n 2/m") { spacegp = 134; }
	if (id == "P 42/m 21/b 2/c") { spacegp = 135; }
	if (id == "P 42/m 21/n 2/m") { spacegp = 136; }
	if (id == "P 42/n 21/m 2/c") { spacegp = 137; }
	if (id == "P 42/n 21/c 2/m") { spacegp = 138; }
	if (id == "I 4/m 2/m 2/m") { spacegp = 139; }
	if (id == "I 4/m 2/c 2/m") { spacegp = 140; }
	if (id == "I 41/a 2/m 2/d") { spacegp = 141; }
	if (id == "I 41/a 2/c 2/d") { spacegp = 142; }
	if (id == "P 3") { spacegp = 143; }
	if (id == "P 31") { spacegp = 144; }
	if (id == "P 32") { spacegp = 145; }
	if (id == "H 3") { spacegp = 146; }
	if (id == "R 3") { spacegp = 1146; }
	if (id == "P -3") { spacegp = 147; }
	if (id == "H -3") { spacegp = 148; }
	if (id == "R -3") { spacegp = 1148; }
	if (id == "P 3 1 2") { spacegp = 149; }
	if (id == "P 3 2 1") { spacegp = 150; }
	if (id == "P 31 1 2") { spacegp = 151; }
	if (id == "P 31 2 1") { spacegp = 152; }
	if (id == "P 32 1 2") { spacegp = 153; }
	if (id == "P 32 2 1") { spacegp = 154; }
	if (id == "H 3 2") { spacegp = 155; }
	if (id == "R 3 2") { spacegp = 1155; }
	if (id == "P 3 m 1") { spacegp = 156; }
	if (id == "P 3 1 m") { spacegp = 157; }
	if (id == "P 3 c 1") { spacegp = 158; }
	if (id == "P 3 1 c") { spacegp = 159; }
	if (id == "H 3 m") { spacegp = 160; }
	if (id == "R 3 m") { spacegp = 1160; }
	if (id == "H 3 c") { spacegp = 161; }
	if (id == "R 3 c") { spacegp = 1161; }
	if (id == "P -3 1 2/m") { spacegp = 162; }
	if (id == "P -3 1 2/c") { spacegp = 163; }
	if (id == "P -3 2/m 1") { spacegp = 164; }
	if (id == "P -3 2/c 1") { spacegp = 165; }
	if (id == "H -3 2/m") { spacegp = 166; }
	if (id == "R -3 2/m") { spacegp = 1166; }
	if (id == "H -3 2/c") { spacegp = 167; }
	if (id == "R -3 2/c") { spacegp = 1167; }
	if (id == "P 6") { spacegp = 168; }
	if (id == "P 61") { spacegp = 169; }
	if (id == "P 65") { spacegp = 170; }
	if (id == "P 62") { spacegp = 171; }
	if (id == "P 64") { spacegp = 172; }
	if (id == "P 63") { spacegp = 173; }
	if (id == "P -6") { spacegp = 174; }
	if (id == "P 6/m") { spacegp = 175; }
	if (id == "P 63/m") { spacegp = 176; }
	if (id == "P 6 2 2") { spacegp = 177; }
	if (id == "P 61 2 2") { spacegp = 178; }
	if (id == "P 65 2 2") { spacegp = 179; }
	if (id == "P 62 2 2") { spacegp = 180; }
	if (id == "P 64 2 2") { spacegp = 181; }
	if (id == "P 63 2 2") { spacegp = 182; }
	if (id == "P 6 m m") { spacegp = 183; }
	if (id == "P 6 c c") { spacegp = 184; }
	if (id == "P 63 c m") { spacegp = 185; }
	if (id == "P 63 m c") { spacegp = 186; }
	if (id == "P -6 m 2") { spacegp = 187; }
	if (id == "P -6 c 2") { spacegp = 188; }
	if (id == "P -6 2 m") { spacegp = 189; }
	if (id == "P -6 2 c") { spacegp = 190; }
	if (id == "P 6/m 2/m 2/m") { spacegp = 191; }
	if (id == "P 6/m 2/c 2/c") { spacegp = 192; }
	if (id == "P 63/m 2/c 2/m") { spacegp = 193; }
	if (id == "P 63/m 2/m 2/c") { spacegp = 194; }
	if (id == "P 2 3") { spacegp = 195; }
	if (id == "F 2 3") { spacegp = 196; }
	if (id == "I 2 3") { spacegp = 197; }
	if (id == "P 21 3") { spacegp = 198; }
	if (id == "I 21 3") { spacegp = 199; }
	if (id == "P 2/m -3") { spacegp = 200; }
	if (id == "P 2/n -3") { spacegp = 201; }
	if (id == "F 2/m -3") { spacegp = 202; }
	if (id == "F 2/d -3") { spacegp = 203; }
	if (id == "I 2/m -3") { spacegp = 204; }
	if (id == "P 21/a -3") { spacegp = 205; }
	if (id == "I 21/a -3") { spacegp = 206; }
	if (id == "P 4 3 2") { spacegp = 207; }
	if (id == "P 42 3 2") { spacegp = 208; }
	if (id == "F 4 3 2") { spacegp = 209; }
	if (id == "F 41 3 2") { spacegp = 210; }
	if (id == "I 4 3 2") { spacegp = 211; }
	if (id == "P 43 3 2") { spacegp = 212; }
	if (id == "P 41 3 2") { spacegp = 213; }
	if (id == "I 41 3 2") { spacegp = 214; }
	if (id == "P -4 3 m") { spacegp = 215; }
	if (id == "F -4 3 m") { spacegp = 216; }
	if (id == "I -4 3 m") { spacegp = 217; }
	if (id == "P -4 3 n") { spacegp = 218; }
	if (id == "F -4 3 c") { spacegp = 219; }
	if (id == "I -4 3 d") { spacegp = 220; }
	if (id == "P 4/m -3 2/m") { spacegp = 221; }
	if (id == "P 4/n -3 2/n") { spacegp = 222; }
	if (id == "P 42/m -3 2/n") { spacegp = 223; }
	if (id == "P 42/n -3 2/m") { spacegp = 224; }
	if (id == "F 4/m -3 2/m") { spacegp = 225; }
	if (id == "F 4/m -3 2/c") { spacegp = 226; }
	if (id == "F 41/d -3 2/m") { spacegp = 227; }
	if (id == "F 41/d -3 2/c") { spacegp = 228; }
	if (id == "I 4/m -3 2/m") { spacegp = 229; }
	if (id == "I 41/a -3 2/d") { spacegp = 230; }
	if (id == "P 1 1 2") { spacegp = 1003; }
	if (id == "P 1 1 21") { spacegp = 1004; }
	if (id == "I 1 21 1") { spacegp = 3004; }
	if (id == "B 1 1 2") { spacegp = 1005; }
	if (id == "A 2 1 1") { spacegp = 2005; }
	if (id == "C 1 21 1") { spacegp = 3005; }
	if (id == "I 1 2 1") { spacegp = 4005; }
	if (id == "P 1 1 m") { spacegp = 1006; }
	if (id == "P 1 1 b") { spacegp = 1007; }
	if (id == "B 1 1 m") { spacegp = 1008; }
	if (id == "B 1 1 b") { spacegp = 1009; }
	if (id == "P 1 1 2/m") { spacegp = 1010; }
	if (id == "P 1 1 21/m") { spacegp = 1011; }
	if (id == "B 1 1 2/m") { spacegp = 1012; }
	if (id == "P 1 1 2/b") { spacegp = 1013; }
	if (id == "P 1 1 21/b") { spacegp = 1014; }
	if (id == "B 1 1 2/b") { spacegp = 1015; }
	if (id == "P 21 2 2") { spacegp = 1017; }
	if (id == "P 2 21 2") { spacegp = 2017; }
	if (id == "P 21 21 2 (a)") { spacegp = 1018; }
	if (id == "P 21 2 21") { spacegp = 2018; }
	if (id == "P 2 21 21") { spacegp = 3018; }
	if (id == "C 2 2 21a)") { spacegp = 1020; }
	if (id == "C 2 2 2a") { spacegp = 1021; }
	if (id == "F 2 2 2a") { spacegp = 1022; }
	if (id == "I 2 2 2a") { spacegp = 1023; }
	if (id == "P 21/m 21/m 2/n a") { spacegp = 1059; }
	if (id == "P 42 21 2a") { spacegp = 1094; }
	if (id == "I 2 3a") { spacegp = 1197; }
	return spacegp;
}

